# AaveV4DelegateSetUsingAsCollateralWithSig

### Description

Action that approves a delegatee to set using as collateral on behalf of delegator with EIP712 signature.

### Action ID

`0x5a07161d`

### SDK Action

```ts
const aaveV4DelegateSetUsingAsCollateralWithSigAction = new dfs.actions.aavev4.AaveV4DelegateSetUsingAsCollateralWithSigAction(
    permit,
    signature
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @notice Structured parameters for using as collateral permission permit intent.
    /// @dev spoke The address of the Spoke.
    /// @dev delegator The address of the delegator.
    /// @dev delegatee The address of the delegatee.
    /// @dev permission The new permission status.
    /// @dev nonce The key-prefixed nonce for the signature.
    /// @dev deadline The deadline for the intent.
    struct SetCanSetUsingAsCollateralPermissionPermit {
        address spoke;
        address delegator;
        address delegatee;
        bool permission;
        uint256 nonce;
        uint256 deadline;
    }

    /// @param permit The structured SetCanSetUsingAsCollateralPermissionPermit parameters.
    /// @param signature The EIP712-compliant signature bytes.
    struct Params {
        IConfigPositionManager.SetCanSetUsingAsCollateralPermissionPermit permit;
        bytes signature;
    }
```

### Return Value

```solidity
return bytes32(permission);
```

### Events and Logs

```solidity
emit ActionEvent("AaveV4DelegateSetUsingAsCollateralWithSig", logData);
logger.logActionDirectEvent("AaveV4DelegateSetUsingAsCollateralWithSig", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/aave-v4/aavev4delegatesetusingascollateralwithsig.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
